#!/bin/sh
# Install PE1589 files into filessystem


SCRIPT=$(readlink -f "$0")
DIR=$(dirname "$SCRIPT")

if [ $# -lt 1 ] ; then
	rfs="/home/hico/work/embsp-20130524-dimm-mx6/root/rootfs"
else
	rfs=$1
fi

if [ ! -d   ] ; then
	echo "Directory does not exist. Check!"
	exit 1;
fi

echo "Updating config file"
cp $DIR/config.txt /boot/config.txt

echo "Installing files in  /opt/pel/bin"
cp $DIR/launcher  /opt/pel/bin/
chmod +x /opt/pel/bin/launcher

if [ ! -d " /opt/pel/bin" ] ; then
	mkdir -p " /opt/pel/bin"
fi


cp $DIR/signal_pipeui.sh  /opt/pel/bin/
cp $DIR/updatemounts.sh  /opt/pel/bin/
cp $DIR/portmount.sh  /opt/pel/bin/
cp $DIR/camera.sh  /opt/pel/bin/
cp $DIR/fbset.sh  /opt/pel/bin/
cp $DIR/camera_test.sh  /opt/pel/bin/
cp $DIR/cpuconfig.sh  /opt/pel/bin/
cp $DIR/led_set.sh  /opt/pel/bin/
cp $DIR/serial_read.sh  /opt/pel/bin/
cp $DIR/mcu_reset.sh  /opt/pel/bin/
cp $DIR/mp_holdon.sh  /opt/pel/bin/
cp $DIR/audio_set.sh  /opt/pel/bin/
cp $DIR/audio_mode.sh /opt/pel/bin/
cp $DIR/audio_startup.sh /opt/pel/bin/
cp $DIR/headphone_detect.sh /opt/pel/bin/
cp $DIR/microphone_detect.sh /opt/pel/bin/
cp $DIR/mp_bl.sh  /opt/pel/bin/
cp $DIR/splash.sh  /opt/pel/bin/
cp $DIR/myecho.sh  /opt/pel/bin/
cp $DIR/adv7180_read.sh  /opt/pel/bin
cp $DIR/version  /opt/pel/
cp $DIR/setDateTime.sh /opt/pel/bin/
cp $DIR/shutdown.sh /opt/pel/bin/
cp $DIR/cameraDetect.sh /opt/pel/bin/
cp $DIR/splashInit.sh  /opt/pel/bin/
cp $DIR/clear_cache.sh  /opt/pel/bin/
cp $DIR/copy_file.sh  /opt/pel/bin/
cp $DIR/get_storage_info.sh  /opt/pel/bin/
cp $DIR/get_project_size.sh  /opt/pel/bin/
cp $DIR/get_directory_info.sh /opt/pel/bin/
cp $DIR/keyboard_link.sh  /opt/pel/bin/
cp $DIR/sshd_config  /etc/ssh/
cp $DIR/wpa_suplicant_reset.sh /opt/pel/bin/
cp $DIR/wifi_successCheck.sh /opt/pel/bin/
cp $DIR/wifi_forgetNetwork.sh /opt/pel/bin/
cp $DIR/bannerwithtitlelogo.png /opt/pel/bin/
cp $DIR/wired_check.sh /opt/pel/bin/
rm -rf /opt/pel/bin/PDF.html 
rm -rf /opt/pel/bin/PDFtemplate.html 
cp $DIR/background.png /opt/pel/bin
cp $DIR/Downstream.bmp /opt/pel/bin
cp $DIR/flowArrow.bmp /opt/pel/bin
cp $DIR/flowDownArrow.bmp /opt/pel/bin
cp $DIR/Upstream.bmp /opt/pel/bin
cp $DIR/Logo-WinCan.PNG /opt/pel/bin
cp $DIR/wifi_disconnect_and_forget.sh /opt/pel/bin/
cp $DIR/Upstream.png /opt/pel/bin
cp $DIR/Downstream.png /opt/pel/bin
cp $DIR/3DPipe.png /opt/pel/bin
cp $DIR/3DPipeSO.png /opt/pel/bin
cp $DIR/3DPipePO.png /opt/pel/bin
cp $DIR/3DPipeEO.png /opt/pel/bin
cp $DIR/Junction_far.png /opt/pel/bin
cp $DIR/Junction_near.png /opt/pel/bin
cp $DIR/Logo-wback-btext.PNG /opt/pel/bin
cp $DIR/singleHDMI.conf /opt/pel/bin
cp $DIR/dualHDMI.conf /opt/pel/bin
cp $DIR/hdmi_set.sh /opt/pel/bin
cp $DIR/fileSync.sh /opt/pel/bin
cp $DIR/soundCardCheck.sh /opt/pel/bin
cp $DIR/eglConfCopy.sh /opt/pel/bin
cp $DIR/eglfsconfig.json-card0 /opt/pel/bin
cp $DIR/eglfsconfig.json-card1 /opt/pel/bin
chown pi:pi /opt/pel/bin/eglfsconfig.json-card*

echo "Installing wpa_supplicant.conf file"
cp $DIR/wpa_supplicant.conf /etc/.

echo "Installing files in  /opt/pel"
cp $DIR/explorer_splash.png /opt/pel
cp $DIR/explorer_logo.png /opt/pel
cp $DIR/maxprobe_splash.png /opt/pel
cp $DIR/maxprobe_logo.png /opt/pel
cp $DIR/splash_bar.png /opt/pel
cp $DIR/splash_bar.png /opt/pel

echo "Copying video scripts..."
cp $DIR/stopRecord.sh /opt/pel/bin
cp $DIR/videoStream.sh /opt/pel/bin
cp $DIR/videoRestart.sh /opt/pel/bin
cp $DIR/pauseRecord.sh /opt/pel/bin
cp $DIR/resumeRecord.sh /opt/pel/bin
cp $DIR/videoRecord.sh /opt/pel/bin
chmod +x /opt/pel/bin/videoRecord.sh

cp $DIR/xmlFile.xml /opt/pel/bin/

echo "Installing files in Reporting dir"
mkdir /opt/pel/reporting
cp $DIR/createPDF.sh /opt/pel/reporting/
cp $DIR/Logo-WinCan.PNG /opt/pel/reporting/
cp $DIR/Logo-wback-btext.PNG /opt/pel/reporting/

if [ ! -d /opt/pel/tables ]; then
	mkdir /opt/pel/tables
fi
cp $DIR/tables/* /opt/pel/tables/
chmod 755 /opt/pel/tables/*

chmod 755  /opt/pel/bin/*
chmod 755  /etc/init.d/*
chmod -R +x /opt/pel/bin/*

echo "install languages"
rm -rf /opt/pel/languages/
mkdir -p /opt/pel/languages/
cp $DIR/languages/us-International.qmap /opt/pel/languages/
for D in `find $DIR/languages -mindepth 1 -maxdepth 1 -type d`
do 
echo $D 
LANG=$(basename "$D") 
echo $LANG
rm -rf /opt/pel/languages/$LANG/
mkdir -p /opt/pel/languages/$LANG/mina
cp $D/* /opt/pel/languages/$LANG/
cp $D/mina/* /opt/pel/languages/$LANG/mina/

done

if [ ! -f /opt/pel/keyboard.qmap ]; then
	cp $DIR/languages/en-GB/en-GB.qmap  /opt/pel/keyboard.qmap
fi

echo "Installing drivers..."

echo "Installing rtl8188fu..."

if [ ! -d /usr/src/rtl8188fu-1.0/ ]; then
	echo "Adding source files"
	cd $DIR/drivers/
	sudo dkms add ./rtl8188fu
	sudo mkdir /usr/src/rtl8188fu-1.0/
	sudo cp -r $DIR/drivers/rtl8188fu/ /usr/src/rtl8188fu-1.0/
fi

cd $DIR/drivers/rtl8188fu/
# install driver via dkms
sudo dkms install rtl8188fu/1.0
sudo cp $DIR/drivers/rtl8188fu/firmware/rtl8188fufw.bin /lib/firmware/rtlwifi/
echo "Installed rtl8188fu!"
echo "Installed drivers!"

version=`cat $DIR/version`
echo "Done. Installed version $version"


