#!/bin/sh
# Set the bi-colour LED on the emtrion board

#Check to see if at least one argument was specified
if [ $# -lt 1 ] ; then
   echo "Error: You must specify one argument as red, green, orange or off"
   exit 1
fi

# GPIO2-6 H=green   2*16 + 6 = 38
# GPIO2-7 H=red     2*16 + 7 = 39
# 
# Create them if they don't already exist
[ -d /sys/class/gpio/gpio38 ] || echo 38 > /sys/class/gpio/export
[ -d /sys/class/gpio/gpio39 ] || echo 39 > /sys/class/gpio/export

# set as outputs
echo out > /sys/class/gpio/gpio38/direction
echo out > /sys/class/gpio/gpio39/direction

if [ $1 == 'red' ]
then
	echo 0 > /sys/class/gpio/gpio38/value
	echo 1 > /sys/class/gpio/gpio39/value
elif [ $1 == "green" ]
then
	echo 1 > /sys/class/gpio/gpio38/value
	echo 0 > /sys/class/gpio/gpio39/value
elif [ $1 == "orange" ]
then
	echo 1 > /sys/class/gpio/gpio38/value
	echo 1 > /sys/class/gpio/gpio39/value
elif [ $1 == "off" ]
then
	echo 0 > /sys/class/gpio/gpio38/value
	echo 0 > /sys/class/gpio/gpio39/value
else
	echo "Error: argument needs to be one of red, green, orange or off"
fi

