#!/bin/sh
# Set the MP_BL_OFF control

# Check to see if at least one argument was specified
if [ $# -lt 1 ] ; then
   echo "Error: You must specify one argument as start or stop"
   exit 1
fi

# MP_BL_OFF is IO-0-1 on GPIO expander
[ -d /sys/class/gpio/gpio488 ] || echo 488 > /sys/class/gpio/export

# set as output
echo out > /sys/class/gpio/gpio488/direction

if [ "$1" = 'start' ]
then	# set to low to enable backlight
	echo 0 > /sys/class/gpio/gpio488/value
elif [ "$1" = "stop" ]
then 	# set to high to diasable backlight
	echo 1 > /sys/class/gpio/gpio488/value
else
	echo "Error: argument needs to be one of start or stop"
fi

