#!/bin/sh
# Set the MP_HOLDUP

#Check to see if at least one argument was specified
if [ $# -lt 1 ] ; then
   echo "Error: You must specify one argument as start or stop"
   exit 1
fi

# MP_HOLDUP (aka GPIO6)
# Create if they don't already exist
[ -d /sys/class/gpio/gpio6 ] || echo 6 > /sys/class/gpio/export

# set as output high
echo out > /sys/class/gpio/gpio6/direction

if [ "$1" = 'start' ]
then	# set to high
	echo 1 > /sys/class/gpio/gpio6/value
elif [ "$1" = "stop" ]
then 	# set to low
	echo 0 > /sys/class/gpio/gpio6/value
else
	echo "Error: argument needs to be one of start or stop"
fi

# set USB nEnable low
[ -d /sys/class/gpio/gpio499 ] || echo 499 > /sys/class/gpio/export
# set as output high
echo out > /sys/class/gpio/gpio499/direction
echo 0 > /sys/class/gpio/gpio499/value
