#!/bin/sh
# Send a signal to the PipeUI application

PATH=$PATH:/sbin
PIDFILE=/var/run/PipeUI.pid
LOGFILE=/opt/pel/hwlogs/keyboard
COMMENT=signal_pipeui


timestamp() {
	date + '%T'
}

now_date="$(date +'%d/%m/%Y')" 
now_time="$(date +'%T')"

echo "$now_date $now_time: $COMMENT: Start" >> $LOGFILE

if [ $# -eq 1 ] ; then
	COMMENT=$1
fi

PID=`cat $PIDFILE`

echo "$now_date $now_time: $COMMENT: PipeUI pid is $PID" >> $LOGFILE

if [ "$COMMENT" == "add_kb" ]; then
	kill -s SIGUSR1 $PID
fi

if [ "$COMMENT" == "rm_kb" ]; then
	kill -s SIGUSR2 $PID
fi

echo "$now_date $now_time: $COMMENT: Done" >> $LOGFILE


