#!/bin/sh
# Install libraries files into filessystem

lib_dir="/opt/pel/lib"
SCRIPT=$(readlink -f "$0")
DIR=$(dirname "$SCRIPT")

if [ -s $DIR/libWCCat.so.1.0.0 ]; then
	echo "Updating WinCan Library"

	mv $DIR/libWCCat.so.1.0.0 $DIR/libWCCat.so.1.0.0.new

	echo "Copying new library"
	cp $DIR/libWCCat.so.1.0.0.new $lib_dir

	sleep 1

	echo "Removing old library"
	rm -rf $lib_dir/libWCCat.so.1.0.0

	echo "Renaming new library"
	mv $lib_dir/libWCCat.so.1.0.0.new $lib_dir/libWCCat.so.1.0.0

	sleep 1

	echo "New library successfully copied"
	echo "Setting Permissions"

	chmod +x $lib_dir/libWCCat.so.1.0.0
	chmod +w $lib_dir/libWCCat.so.1.0.0

	echo "Removing superfluous files"
	rm -rf $lib_dir/libWCCat.so.1.0.0.new
	mv $DIR/libWCCat.so.1.0.0.new $DIR/libWCCat.so.1.0.0

	echo "Creating Simlinks"
	ln -sf $lib_dir/libWCCat.so.1.0.0 $lib_dir/libWCCat.so.1.0
	ln -sf $lib_dir/libWCCat.so.1.0.0 $lib_dir/libWCCat.so.1
	ln -sf $lib_dir/libWCCat.so.1.0.0 $lib_dir/libWCCat.so
else
	echo "No new library file"
fi

if [ -s $DIR/libPTWinCanWeb.so.1.0.0 ]; then
	echo "Updating WinCanWeb Library"

	mv $DIR/libPTWinCanWeb.so.1.0.0 $DIR/libPTWinCanWeb.so.1.0.0.new

	echo "Copying new library"
	cp $DIR/libPTWinCanWeb.so.1.0.0.new $lib_dir

	sleep 1

	echo "Removing old library"
	rm -rf $lib_dir/libPTWinCanWeb.so.1.0.0

	echo "Renaming new library"
	mv $lib_dir/libPTWinCanWeb.so.1.0.0.new $lib_dir/libPTWinCanWeb.so.1.0.0

	sleep 1

	echo "New library successfully copied"
	echo "Setting Permissions"

	chmod +x $lib_dir/libPTWinCanWeb.so.1.0.0
	chmod +w $lib_dir/libPTWinCanWeb.so.1.0.0

	echo "Removing superfluous files"
	rm -rf $lib_dir/libPTWinCanWeb.so.1.0.0.new
	mv $DIR/libPTWinCanWeb.so.1.0.0.new $DIR/libPTWinCanWeb.so.1.0.0

	echo "Creating Simlinks"
	ln -sf $lib_dir/libPTWinCanWeb.so.1.0.0 $lib_dir/libPTWinCanWeb.so.1.0
	ln -sf $lib_dir/libPTWinCanWeb.so.1.0.0 $lib_dir/libPTWinCanWeb.so.1
	ln -sf $lib_dir/libPTWinCanWeb.so.1.0.0 $lib_dir/libPTWinCanWeb.so
else
	echo "No new library file"
fi

if [ -s $DIR/libPTDatabase.so.1.0.0 ]; then
	echo "Updating WinCanWeb Library"

	mv $DIR/libPTDatabase.so.1.0.0 $DIR/libPTDatabase.so.1.0.0.new

	echo "Copying new library"
	cp $DIR/libPTDatabase.so.1.0.0.new $lib_dir

	sleep 1

	echo "Removing old library"
	rm -rf $lib_dir/libPTDatabase.so.1.0.0

	echo "Renaming new library"
	mv $lib_dir/libPTDatabase.so.1.0.0.new $lib_dir/libPTDatabase.so.1.0.0

	sleep 1

	echo "New library successfully copied"
	echo "Setting Permissions"

	chmod +x $lib_dir/libPTDatabase.so.1.0.0
	chmod +w $lib_dir/libPTDatabase.so.1.0.0

	echo "Removing superfluous files"
	rm -rf $lib_dir/libPTDatabase.so.1.0.0.new
	mv $DIR/libPTDatabase.so.1.0.0.new $DIR/libPTDatabase.so.1.0.0

	echo "Creating Simlinks"
	ln -sf $lib_dir/libPTDatabase.so.1.0.0 $lib_dir/libPTDatabase.so.1.0
	ln -sf $lib_dir/libPTDatabase.so.1.0.0 $lib_dir/libPTDatabase.so.1
	ln -sf $lib_dir/libPTDatabase.so.1.0.0 $lib_dir/libPTDatabase.so
else
	echo "No new library file"
fi

if [ -s $DIR/libPTLogging.so.1.0.0 ]; then
	echo "Updating WinCanWeb Library"

	mv $DIR/libPTLogging.so.1.0.0 $DIR/libPTLogging.so.1.0.0.new

	echo "Copying new library"
	cp $DIR/libPTLogging.so.1.0.0.new $lib_dir

	sleep 1

	echo "Removing old library"
	rm -rf $lib_dir/libPTLogging.so.1.0.0

	echo "Renaming new library"
	mv $lib_dir/libPTLogging.so.1.0.0.new $lib_dir/libPTLogging.so.1.0.0

	sleep 1

	echo "New library successfully copied"
	echo "Setting Permissions"

	chmod +x $lib_dir/libPTLogging.so.1.0.0
	chmod +w $lib_dir/libPTLogging.so.1.0.0

	echo "Removing superfluous files"
	rm -rf $lib_dir/libPTLogging.so.1.0.0.new
	mv $DIR/libPTLogging.so.1.0.0.new $DIR/libPTLogging.so.1.0.0

	echo "Creating Simlinks"
	ln -sf $lib_dir/libPTLogging.so.1.0.0 $lib_dir/libPTLogging.so.1.0
	ln -sf $lib_dir/libPTLogging.so.1.0.0 $lib_dir/libPTLogging.so.1
	ln -sf $lib_dir/libPTLogging.so.1.0.0 $lib_dir/libPTLogging.so
else
	echo "No new library file"
fi

if [ -s $DIR/libPTSharedBase.so.1.0.0 ]; then
	echo "Updating WinCanWeb Library"

	mv $DIR/libPTSharedBase.so.1.0.0 $DIR/libPTSharedBase.so.1.0.0.new

	echo "Copying new library"
	cp $DIR/libPTSharedBase.so.1.0.0.new $lib_dir

	sleep 1

	echo "Removing old library"
	rm -rf $lib_dir/libPTSharedBase.so.1.0.0

	echo "Renaming new library"
	mv $lib_dir/libPTSharedBase.so.1.0.0.new $lib_dir/libPTSharedBase.so.1.0.0

	sleep 1

	echo "New library successfully copied"
	echo "Setting Permissions"

	chmod +x $lib_dir/libPTSharedBase.so.1.0.0
	chmod +w $lib_dir/libPTSharedBase.so.1.0.0

	echo "Removing superfluous files"
	rm -rf $lib_dir/libPTSharedBase.so.1.0.0.new
	mv $DIR/libPTSharedBase.so.1.0.0.new $DIR/libPTSharedBase.so.1.0.0

	echo "Creating Simlinks"
	ln -sf $lib_dir/libPTSharedBase.so.1.0.0 $lib_dir/libPTSharedBase.so.1.0
	ln -sf $lib_dir/libPTSharedBase.so.1.0.0 $lib_dir/libPTSharedBase.so.1
	ln -sf $lib_dir/libPTSharedBase.so.1.0.0 $lib_dir/libPTSharedBase.so
else
	echo "No new library file"
fi

if [ -s $DIR/libPTMisc.so.1.0.0 ]; then
	echo "Updating WinCanWeb Library"

	mv $DIR/libPTMisc.so.1.0.0 $DIR/libPTMisc.so.1.0.0.new

	echo "Copying new library"
	cp $DIR/libPTMisc.so.1.0.0.new $lib_dir

	sleep 1

	echo "Removing old library"
	rm -rf $lib_dir/libPTMisc.so.1.0.0

	echo "Renaming new library"
	mv $lib_dir/libPTMisc.so.1.0.0.new $lib_dir/libPTMisc.so.1.0.0

	sleep 1

	echo "New library successfully copied"
	echo "Setting Permissions"

	chmod +x $lib_dir/libPTMisc.so.1.0.0
	chmod +w $lib_dir/libPTMisc.so.1.0.0

	echo "Removing superfluous files"
	rm -rf $lib_dir/libPTMisc.so.1.0.0.new
	mv $DIR/libPTMisc.so.1.0.0.new $DIR/libPTMisc.so.1.0.0

	echo "Creating Simlinks"
	ln -sf $lib_dir/libPTMisc.so.1.0.0 $lib_dir/libPTMisc.so.1.0
	ln -sf $lib_dir/libPTMisc.so.1.0.0 $lib_dir/libPTMisc.so.1
	ln -sf $lib_dir/libPTMisc.so.1.0.0 $lib_dir/libPTMisc.so
else
	echo "No new library file"
fi


